Bug 811207 - [ipa webui] When permission Type is updated, attributes should reflect new Type
[ipa webui] When permission Type is updated, attributes should reflect new Type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 08:30 EDT by Namita Soman
Modified: 2013-02-21 04:10 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:10:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-04-10 08:30:48 EDT
Description of problem:
When a permission is edited, and Type switched, the attributes selected for previous Type are still selected, and update fails, if they are invalid for the new Type. But it should get deselected or not even listed if Type changes.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-8.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a permission as Type - User Group, and choose "description" as an
attribute.
2. Edit this permission, and change Type to be - Service. 
3. Scroll to bottom of attributes, and description is listed and checked. But description is not a valid attribute for Service. 
4. Click Update

  
Actual results:
when 'Update' is clicked - throws error -
attribute(s) "description" not allowed.

Expected results:
When Type is changed, attribute list should be refreshed and if still
applicable should be chosen. And if Type is reverted back, previously chosen
attributes should be back as chosen.


Additional info:
this came up while working on related bug 807755
Comment 2 Martin Kosek 2012-04-10 08:44:14 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2617
Comment 3 Petr Vobornik 2012-09-06 04:16:47 EDT
Fixed upstream:
 * master: 6ae286a8f5ec7d1633ec733fbe116550bff7141a
 * ipa-3-0: 694238dba5350b837f1523b7e0edd7e4bf51a594
Comment 4 Jenny Galipeau 2012-09-25 12:39:43 EDT
automated regression test exists
Comment 8 Varun Mylaraiah 2013-01-18 09:02:14 EST
Verified using ipa-server-3.0.0-22.el6.x86_64 


https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPARBACTestSuite/index.html

1. Add a permission as Type - User Group and select "description" attribute
2. Edit this permission, and change Type to be - Service.
3. In Attribute list we can see only Service related choice.(there is no description attribute in service type)
Comment 10 errata-xmlrpc 2013-02-21 04:10:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.